Skip to main content
PATCH
Mark a mailbox message read, archived or junk

Authorizations

Authorization
string
header
required

Your Inbound API key. Include it in the Authorization header as: Bearer

Path Parameters

id
string
required
messageId
string
required

Body

isRead
boolean
isArchived
boolean
isJunk
boolean

Move to Junk (true) or back to the inbox (false). Applies to the email account-wide, including IMAP Junk folders.

Response

Response for status 200

id
string
required
folder
enum<string>
required
Available options:
inbox,
archive,
junk,
sent
threadId
string · null · null
required
subject
string · null · null
required
from
string
required
to
string[]
required
date
string · null · null
required
preview
string · null · null
required
isRead
boolean
required
isJunk
boolean
required
hasAttachments
boolean
required